## org.apache.batik.dom
Class AbstractDocument.DocumentError.ErrorLocation

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentError.ErrorLocation

All Implemented Interfaces:
  org.w3c.dom.DOMLocator

Enclosing class:
  AbstractDocument.DocumentError

    protected class AbstractDocument.DocumentError.ErrorLocation

extends java.lang.Object
implements org.w3c.dom.DOMLocator

The DOMLocator implementation.

Field Summary
`protected org.w3c.dom.Node` `node` The node that caused the error.

Constructor Summary
`AbstractDocument.DocumentError.ErrorLocation(org.w3c.dom.Node n)` Create a new ErrorLocation object.

Method Summary
`int` `getByteOffset()` Get the byte offset of the error node.
`int` `getColumnNumber()` Get the column number of the error node.
`int` `getLineNumber()` Get the line number of the error node.
`org.w3c.dom.Node` `getRelatedNode()` Get the node.
`java.lang.String` `getUri()` Get the document URI.
`int` `getUtf16Offset()` Get the UTF-16 offset of the error node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected org.w3c.dom.Node node

  The node that caused the error.

Constructor Detail

### AbstractDocument.DocumentError.ErrorLocation

    public AbstractDocument.DocumentError.ErrorLocation(org.w3c.dom.Node n)

  Create a new ErrorLocation object.

Method Detail

### getLineNumber

    public int getLineNumber()

  Get the line number of the error node.

  Specified by:
    `getLineNumber` in interface `org.w3c.dom.DOMLocator`

### getColumnNumber

    public int getColumnNumber()

  Get the column number of the error node.

  Specified by:
    `getColumnNumber` in interface `org.w3c.dom.DOMLocator`

### getByteOffset

    public int getByteOffset()

  Get the byte offset of the error node.

  Specified by:
    `getByteOffset` in interface `org.w3c.dom.DOMLocator`

### getUtf16Offset

    public int getUtf16Offset()

  Get the UTF-16 offset of the error node.

  Specified by:
    `getUtf16Offset` in interface `org.w3c.dom.DOMLocator`

### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

  Get the node.

  Specified by:
    `getRelatedNode` in interface `org.w3c.dom.DOMLocator`

### getUri

    public java.lang.String getUri()

  Get the document URI.

  Specified by:
    `getUri` in interface `org.w3c.dom.DOMLocator`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.